Package com.enonic.xp.script.serializer

## Class JsonMapGenerator

- java.lang.Object
- - com.enonic.xp.script.serializer.MapGeneratorBase
  - - com.enonic.xp.script.serializer.JsonMapGenerator

- All Implemented Interfaces:
    `MapGenerator`

      @Deprecated
      public final class JsonMapGenerator
      extends MapGeneratorBase

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonMapGenerator()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addToArray​(Object array, Object value)` | Deprecated.
    `protected boolean` | `isArray​(Object value)` | Deprecated.
    `protected boolean` | `isMap​(Object value)` | Deprecated.
    `protected Object` | `newArray()` | Deprecated.
    `protected Object` | `newFunction​(Function<?,​?> function)` | Deprecated.
    `protected MapGeneratorBase` | `newGenerator()` | Deprecated.
    `protected Object` | `newMap()` | Deprecated.
    `protected void` | `putInMap​(Object map, String key, Object value)` | Deprecated.
    `protected void` | `putRawValueInMap​(Object map, String key, Object value)` | Deprecated.

    - ### Methods inherited from class com.enonic.xp.script.serializer.MapGeneratorBase

      `array, array, end, getRoot, initRoot, map, map, rawValue, rawValue, value, value`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonMapGenerator

          public JsonMapGenerator()

      Deprecated.

  - ### Method Detail

    - #### newMap

          protected Object newMap()

      Deprecated.
      Specified by:
        `newMap` in class `MapGeneratorBase`

    - #### newArray

          protected Object newArray()

      Deprecated.
      Specified by:
        `newArray` in class `MapGeneratorBase`

    - #### newFunction

          protected Object newFunction​(Function<?,​?> function)

      Deprecated.
      Specified by:
        `newFunction` in class `MapGeneratorBase`

    - #### isMap

          protected boolean isMap​(Object value)

      Deprecated.
      Specified by:
        `isMap` in class `MapGeneratorBase`

    - #### isArray

          protected boolean isArray​(Object value)

      Deprecated.
      Specified by:
        `isArray` in class `MapGeneratorBase`

    - #### putInMap

          protected void putInMap​(Object map,
                                  String key,
                                  Object value)

      Deprecated.
      Specified by:
        `putInMap` in class `MapGeneratorBase`

    - #### putRawValueInMap

          protected void putRawValueInMap​(Object map,
                                          String key,
                                          Object value)

      Deprecated.
      Specified by:
        `putRawValueInMap` in class `MapGeneratorBase`

    - #### addToArray

          protected void addToArray​(Object array,
                                    Object value)

      Deprecated.
      Specified by:
        `addToArray` in class `MapGeneratorBase`

    - #### newGenerator

          protected MapGeneratorBase newGenerator()

      Deprecated.
      Specified by:
        `newGenerator` in class `MapGeneratorBase`